# Turn off automatic python byte compilation because these are Ansible
# roles and the files are transferred to the node and compiled there with
# the python version used in the node
%define __brp_python_bytecompile %{nil}

%global python %{__python3}

Summary: A collection of all roles listed in https://robertdebock.nl/
Name: ansible-robertdebock-roles
Version: 1.10.6
Release: 1%{?dist}
URL: https://robertdebock.nl/ansible.html
License: Apache-2.0
Source: https://github.com/robertdebock/ansible-collection-roles/robertdebock-roles-%{version}.tar.gz
BuildArch: noarch
Requires: ansible-core >= 2.9.10
BuildRequires: ansible-core >= 2.9.10
BuildRequires: python

%description
This package contains Ansible roles that work on as many distribution as
possible. They are as simple as possible. There can be cases where
complicated stuff happens, but this is required from time to time.

These roles are thoroughly tested. On each commit, pull request and
release and also on full virtual machines.

%prep
%setup -q -c -n robertdebock-roles-%{version}

%build

%install
install -m 755 -d %{buildroot}%{_datadir}/ansible/roles/
cp -rp roles/* %{buildroot}%{_datadir}/ansible/roles/

%files
%license LICENSE
%doc README.md
%{_datadir}/ansible/roles/*

%changelog
* Fri Jul 19 2024 Emmanuel Seyman <emmanuel@seyman.fr> - 1.10.6
- Initial specfile, based on the ansible-freeipa one
